/* Author : Dario GENGA
 * Date : 07.12.2021
 * Description : Contrôle continue 1 - Exercice 1
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#define MAX_WORD_LENGTH 80

int main() {
    char *word1 = malloc(sizeof(char) * MAX_WORD_LENGTH);
    char *word2 = malloc(sizeof(char) * MAX_WORD_LENGTH);
    int distance = 0;

    // Get the word from the user
    scanf("%s", word1);
    scanf("%s", word2);

    if (strlen(word1) != strlen(word2)) {
        // The words must have the same length
        distance = -1;
    } else {
        // Compute the distance of each letters
        for(size_t i = 0; i < strlen(word1); i++) {
            int distance_tmp = tolower(word1[i]) - tolower(word2[i]);
            if (distance_tmp < 0) {
                distance_tmp = -distance_tmp;
            }
            distance += distance_tmp;
        }
    }
    // Print the result and free the memory
    printf("\ndistance: %d\n", distance);

    free(word1);
    free(word2);

    return EXIT_SUCCESS;
}
