/* Author : Dario GENGA
 * Date : 07.12.2021
 * Description : Contrôle continue 1 - Exercice 2
 */

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#define NB_ROW_AND_COL 4

int main() {
    bool is_normalized = true;
    char *normalized = "oui";
    char *not_normalized = "non";
    int (*square)[NB_ROW_AND_COL] = malloc(NB_ROW_AND_COL * sizeof(*square));

    // i = row index, k = col index
    for (int i = 0; i < NB_ROW_AND_COL; i++) {
        for (int k = 0; k < NB_ROW_AND_COL; k++) {
            int value;
            scanf("%d", &value);
            square[i][k] = value;

            if (value <= 0 || value > NB_ROW_AND_COL) {
                is_normalized = false;
            }
        }
    }

    // Verify if the square is normalized
    int prev = square[0][0];
    for (int i = 1; i < NB_ROW_AND_COL; i++) {
        if (prev > square[i][0]) {
            is_normalized = false;
            break;
        }
    }
    prev = square[0][0];
    for (int k = 1; k < NB_ROW_AND_COL; k++) {
        if (prev > square[0][k]) {
            is_normalized = false;
            break;
        }
    }

    // Print the result and free the memory
    if (is_normalized) {
        printf("\nlatin normalisé : %s\n", normalized);
    } else {
        printf("\nlatin normalisé : %s\n", not_normalized);
    }

    free(square);

    return EXIT_SUCCESS;
}
